class CustomObject<Object

  @@object_name_register={}

  def self.newObject(name)
    instance = self.new
    self.register_instance_name(instance, name)
    Object.const_set(name, instance)
  end

  def define(&block)
    self.instance_eval(&block)
    self.initialize unless !self.respond_to? :initialize
  end

  def attr_accessor(*many_attributes)
    many_attributes.each { |symbol| self.singleton_class.send(:attr_accessor, symbol) }
  end

  def __trompita__
    puts ".>> <3 <<."
  end

  def to_s
    to_string = "#{self.class.get_instance_name(self)}{"
    self.instance_variables.each { |variable| to_string += " #{variable[1..-1]}: #{self.instance_variable_get(variable)}" }
    to_string = to_string[0..-1] + "}"
  end

  private
  def self.register_instance_name(instance, name)
    @@object_name_register[instance] = name
  end

  def self.get_instance_name(instance)
    @@object_name_register[instance]
  end

end

class Object

  def newObject(name)
    CustomObject.newObject(name)
  end

end